Search found 1 match

by f700es
Fri Apr 20, 2018 9:53 pm
Forum: SimLab Composer
Topic: SimLab Composer Lite on PC that already had a previous version installed
Replies: 1
Views: 78

SimLab Composer Lite on PC that already had a previous version installed

Hi all, I sent a friend a link to the Lite version of Composer to try and he says that he is unable to install due to having an older version previously installed on his PC. Can he not still install the current Lite version?
Thanks in advance.

Go to advanced search